Skip to main content
POST
Create a document pdf export

Headers

Authorization
string

Supports both API Key and User Access Token authorization. See https://joyfill.mintlify.app/api/authentication

Path Parameters

identifier
string
required

A document's unique identifier. Specifies that you want to use a saved Joyfill document to generate the PDF export.

Body

application/json
fields
array

Specifies a list of JoyDoc Fields that you would like to merge/overwrite inside the targeted document identifier.

timezone
string
default:UTC
sdkVersion
string

Optional Joyfill Components SDK version used to render the PDF. Omit this property to use the Export API's configured default. Must be a complete version such as 4.0.0, 4.0.0-rc25, or 4.1.0-beta.2+build.7, with a maximum of 64 characters. Tags such as latest, version ranges, URLs, empty strings, and null are rejected with HTTP 400.

Required string length: 1 - 64
Pattern: ^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-[0-9A-Za-z-]+(?:\.[0-9A-Za-z-]+)*)?(?:\+[0-9A-Za-z-]+(?:\.[0-9A-Za-z-]+)*)?$
Example:

"4.0.0-rc25"

Response

200 - application/json

200

download_url
string
Example:

"String"

preview_url
string
Example:

"String"